package com.cpp.web.service.alarm.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cpp.web.domain.AbnormalAlarm;
import com.cpp.web.domain.enums.AlarmEnum;
import com.cpp.web.mapper.AbnormalAlarmMapper;
import com.cpp.web.service.alarm.AbnormalAlarmService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 告警信息层实现类
 *
 * @author tl
 * @date 2022-05-11 18:07:03
 */
@AllArgsConstructor
@Slf4j
@Service
public class AbnormalAlarmServiceImpl extends ServiceImpl<AbnormalAlarmMapper, AbnormalAlarm> implements AbnormalAlarmService {

    @Override
    public QueryWrapper<AbnormalAlarm> findByTimeBetweenAndAlarmTypeAndStationCode(Date startTime, Date endTime, AlarmEnum alarmType, String stationCode) {


        QueryWrapper<AbnormalAlarm> wrapper = new QueryWrapper<>();
        if (startTime != null && !endTime.equals("")&& endTime != null && !endTime.equals("")) {
            wrapper.and(w->w.between("start_time",startTime,endTime).or().between("end_time",startTime,endTime));
        }
        if (alarmType != null && !alarmType.equals("")) {
            wrapper.eq("alarm_type", alarmType);
        }

        if (stationCode != null && !stationCode.equals("")) {
            wrapper.eq("station_code", stationCode);
        }
        return wrapper;
    }

    @Override
    public Boolean updateAllStatus1(String stationCode) {
        return baseMapper.updateAllStatus1(stationCode);
    }

    @Override
    public int countByStatusAndStationCode(Integer status, String stationCode) {
        return baseMapper.countByStatusAndStationCode(status,stationCode);
    }

}
