package com.cpp.web.service.overhaulplan.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cpp.web.domain.overhaulplan.OverhaulPlan;
import com.cpp.web.domain.station.ElectricField;
import com.cpp.web.mapper.overhaulplan.OverhaulPlanMapper;
import com.cpp.web.service.overhaulplan.OverhaulPlanService;
import io.swagger.models.auth.In;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * cpp_overhaul_plan
 *
 * @author fxy
 * @date 2024-10-08 9:47:33
 */
@Service
@RequiredArgsConstructor
public class OverhaulPlanServiceImpl extends ServiceImpl<OverhaulPlanMapper, OverhaulPlan> implements OverhaulPlanService {

    private final OverhaulPlanMapper overhaulPlanMapper;
    /**
     *  查询所有检修计划
     * @return
     */
    @Override
    public QueryWrapper<OverhaulPlan> getList() {
        QueryWrapper<OverhaulPlan> wrapper = new QueryWrapper<>();
        return wrapper;
    }

    /**
     *  根据场站编号查询检修计划信息
     * @param stationCode
     * @return
     */
    @Override
    public QueryWrapper<OverhaulPlan> getByStationCode(String stationCode, Integer status) {
        QueryWrapper<OverhaulPlan> wrapper = new QueryWrapper<>();
        if (null != status){
            if (!"".equals(stationCode)){
                wrapper.eq("station_code",stationCode);
                wrapper.eq("status",status);
            }
        }else {
            if (!"".equals(stationCode)){
                wrapper.eq("station_code",stationCode);
            }
        }
        return wrapper;
    }

    @Override
    public List<OverhaulPlan> findByStationCode(String stationCode) {
        List<OverhaulPlan> overhaulPlanList = overhaulPlanMapper.findBysStationCode(stationCode);
        return overhaulPlanList;
    }
}
